<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\AcknowledgeMessageRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 确认消息请求参数
    $req = new AcknowledgeMessageRequest();

    $params = array(
        // 带确认消息id
        "MessageId" => "70820398:0:1:0",
        // topic全称, 格式为: 集群（租户）ID/命名空间/Topic名称
        "AckTopic" => "pulsar-xxx/php_http/topic1",
        // 订阅名称
        "SubName" => "sub"
    );
    $req->fromJsonString(json_encode($params));

    // 确认消息
    $resp = $client->AcknowledgeMessage($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}