<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\ReceiveMessageRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 接收消息请求参数
    $req = new ReceiveMessageRequest();

    $params = array(
        // topic全称, 格式为: 集群（租户）ID/命名空间/Topic名称
        "Topic" => "pulsar-xxx/php_http/topic1",
        // 订阅名称
        "SubscriptionName" => "sub",
        // consumer接收的消息会首先存储到receiverQueueSize这个队列中，用作调优接收消息的速率
        "ReceiverQueueSize" => 10,
        // 设置consumer初始接收消息的位置，可选参数为：Earliest, Latest
        "SubInitialPosition" => "Latest"
    );
    $req->fromJsonString(json_encode($params));

    // 接收消息
    $resp = $client->ReceiveMessage($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}