<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\SendBatchMessagesRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 发送批量消息请求参数
    $req = new SendBatchMessagesRequest();

    $params = array(
        // topic全称, 格式为: 集群（租户）ID/命名空间/Topic名称
        "Topic" => "pulsar-xxx/php_http/topic1",
        // 消息内容
        "Payload" => "this is a batch message.",
        // 已授权角色密钥
        "StringToken" => "eyJrZXlJZC......",
        // 已授权角色名称
        "ProducerName" => "admin",
        // 发送消息超时时间
        "SendTimeout" => 3000,
        // 设置内存中允许缓存的生产消息的最大数量
        "MaxPendingMessages" => 100,
        // 设置每一个batch中消息的最大数量
        "BatchingMaxMessages" => 100,
        // 设置每一个batch最大等待的时间，超过这个时间，不管是否达到指定的batch中消息的数量和大小，都会将该batch发送出去，
        "BatchingMaxPublishDelay" => 10,
        // 设置每一个batch中最大允许的消息的大小
        "BatchingMaxBytes" => 1024
    );
    $req->fromJsonString(json_encode($params));

    // 发送消息
    $resp = $client->SendBatchMessages($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}