<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\SendMessagesRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 发送消息请求参数
    $req = new SendMessagesRequest();

    $params = array(
        // 已授权角色密钥
        "StringToken" => "eyJrZXlJZC......",
        // topic全称, 格式为: 集群（租户）ID/命名空间/Topic名称
        "Topic" => "pulsar-xxx/php_http/topic1",
        // 消息内容
        "Payload" => "this is a new message.",
        // 已授权角色名称
        "ProducerName" => "admin",
        // 发送消息超时时间
        "SendTimeout" => 3000
    );
    $req->fromJsonString(json_encode($params));

    // 发送消息
    $resp = $client->SendMessages($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}