<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\CreateSubscriptionRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 创建订阅请求参数
    $req = new CreateSubscriptionRequest();

    $params = array(
        // 命名空间名称
        "EnvironmentId" => "php_http",
        // topic名称
        "TopicName" => "topic1",
        // 订阅名称
        "SubscriptionName" => "sub",
        // 订阅说明信息
        "Remark" => "订阅说明信息",
        // 是否幂等创建，若否不允许创建同名的订阅关系。
        "IsIdempotent" => true,
        // 集群id
        "ClusterId" => "pulsar-xxx",
        // 是否自动创建死信和重试主题，True 表示创建，False表示不创建，默认自动创建死信和重试主题。
        "AutoCreatePolicyTopic" => false,
        // 指定死信和重试主题名称规范，LEGACY表示历史命名规则，COMMUNITY表示Pulsar社区命名规范
        "PostFixPattern" => "COMMUNITY"
    );
    $req->fromJsonString(json_encode($params));

    // 创建订阅信息
    $resp = $client->CreateSubscription($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}