<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\DeleteSubscriptionsRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 删除订阅请求参数
    $req = new DeleteSubscriptionsRequest();

    $params = array(
        // 要删除的订阅信息
        "SubscriptionTopicSets" => array(
            array(
                // 命名空间名称
                "EnvironmentId" => "php_http",
                // topic名称
                "TopicName" => "topic1",
                // 订阅名称
                "SubscriptionName" => "sub"
            )
        ),
        // 集群id
        "ClusterId" => "pulsar-xxx",
        // 设置强制删除
        "Force" => true
    );
    $req->fromJsonString(json_encode($params));

    // 删除订阅信息
    $resp = $client->DeleteSubscriptions($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}