<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\CreateTopicRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 创建topic请求参数
    $req = new CreateTopicRequest();

    $params = array(
        // 命名空间名称
        "EnvironmentId" => "php_http",
        // topic名称
        "TopicName" => "topic1",
        // topic分区数
        "Partitions" => 3,
        // topic说明信息
        "Remark" => "topic说明信息",
        // 设置topic类型0： 普通消息； 1 ：全局顺序消息(设置全局顺序是，分区数要为0)； 2 ：局部顺序消息；
        "TopicType" => 0,
        // 集群id
        "ClusterId" => "pulsar-xxx"
    );
    $req->fromJsonString(json_encode($params));

    // 创建topic
    $resp = $client->CreateTopic($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}