<?php
require_once '../vendor/autoload.php';

use TencentCloud\Common\Credential;
use TencentCloud\Common\Profile\ClientProfile;
use TencentCloud\Common\Profile\HttpProfile;
use TencentCloud\Common\Exception\TencentCloudSDKException;
use TencentCloud\Tdmq\V20200217\TdmqClient;
use TencentCloud\Tdmq\V20200217\Models\DeleteTopicsRequest;

try {
    // 认证信息
    $cred = new Credential("AKIDSiiRtxxxx", "GGzSeaM5xxxx");
    $httpProfile = new HttpProfile();
    $httpProfile->setEndpoint("tdmq.tencentcloudapi.com");

    $clientProfile = new ClientProfile();
    $clientProfile->setHttpProfile($httpProfile);
    // 创建tdmq客户端
    $client = new TdmqClient($cred, "ap-shanghai", $clientProfile);

    // 删除topic请求参数
    $req = new DeleteTopicsRequest();

    $params = array(
        // 要删除的topic信息
        "TopicSets" => array(
            array(
                // 命名空间名称
                "EnvironmentId" => "php_http",
                // topic名称
                "TopicName" => "topic1"
            )
        ),
        // 集群id
        "ClusterId" => "pulsar-xxx",
        // 设置强制删除，会把topic的订阅信息一并删除，不设置时，如果存在订阅信息会导致删除失败
        "Force" => true
    );
    $req->fromJsonString(json_encode($params));

    // 删除topic
    $resp = $client->DeleteTopics($req);

    print_r($resp->toJsonString());
} catch (TencentCloudSDKException $e) {
    echo $e;
}